## devscripts 2.10.7ubuntu5

=== scripts/Makefile ===

include ../Makefile.common
DESTDIR =

VERSION_FILE = ../version
VERSION := $(shell cat $(VERSION_FILE))

PL_FILES := $(wildcard *.pl)
SH_FILES = $(wildcard *.sh)
LIBS = libvfork.so.0
CWRAPPERS = debpkg-wrapper
SCRIPTS = $(patsubst %.pl,%,$(PL_FILES)) $(patsubst %.sh,%,$(SH_FILES))

GEN_MAN1S = bts.1 debcommit.1 deb-reversion.1 dget.1 licensecheck.1 \
	mass-bug.1 rmadison.1 svnpath.1

BINDIR = /usr/bin
LIBDIR = /usr/lib/devscripts
BIN_LIBDIR = /usr/lib/devscripts

all: $(SCRIPTS) $(GEN_MAN1S) $(LIBS) $(CWRAPPERS)

%: %.sh

%.tmp: %.sh $(VERSION_FILE)
	sed -e "s/###VERSION###/$(VERSION)/" $<  > $@
	bash -n $@
%.tmp: %.pl $(VERSION_FILE)
	sed -e "s/###VERSION###/$(VERSION)/" $<  > $@
	perl -I.. -c $@
%: %.tmp
	cp $< $@
	chmod +x $@

%.1: %.pl
	pod2man --center=" " --release="Debian Utilities" $< > $@
%.1: %.dbk
	xsltproc --nonet -o $@ \
	  /usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl $<

libvfork.o: libvfork.c
	$(CC) -fPIC -D_REENTRANT $(CFLAGS) -c $<
libvfork.so.0: libvfork.o
	$(CC) -shared $< -lc -Wl,-soname -Wl,libvfork.so.0 -o $@

clean:
	rm -f $(SCRIPTS) $(patsubst %,%.tmp,$(SCRIPTS)) \
		$(GEN_MAN1S) $(SCRIPT_LIBS) $(CWRAPPERS) \
		libvfork.o libvfork.so.0

install: all
	cp $(SCRIPTS) $(DESTDIR)$(BINDIR)
	cp $(LIBS) $(DESTDIR)$(LIBDIR)
	# Special treatment for debpkg
	mv $(DESTDIR)$(BINDIR)/debpkg $(DESTDIR)$(PERLMOD_DIR)
	cp debpkg-wrapper $(DESTDIR)$(BINDIR)/debpkg

=== test/Makefile ===
# Simplified Makefile for devscripts tests

all:
	./debchange.pl

=== debian/changelog ===
devscripts (2.10.7ubuntu5) gutsy; urgency=low

  * Remove requestsync, and its manual page. (They have moved to
    ubuntu-dev-tools)
  * Remove the Python machinery in scripts/Makefile.

 -- Steve Kowalik <stevenk@ubuntu.com>  Wed, 12 Sep 2007 10:44:00 +1000

devscripts (2.10.7ubuntu4) gutsy; urgency=low

  * scripts/debuild.pl:
    - Only do Ubuntu merge policy check when building source packages.
    - Improve changelog regex for merge policy check: recognize "sync" as well
      as "merge".
    - Remove debugging statement.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 11 Sep 2007 11:10:02 +0200

devscripts (2.10.7ubuntu3) gutsy; urgency=low

  * debcommit:
    - Add options to specify changelog path (Patch taken from debian)(LP: #132928)
    - Change short option for --confirm from -c to -C to avoid conflict

 -- Laurent Bigonville <bigon@bigon.be>  Thu, 16 Aug 2007 18:43:39 +0200
 

devscripts (2.10.7ubuntu2) gutsy; urgency=low

  * requestsync:
    - Add a -k option that allows the user to specify their keyid.

 -- Steve Kowalik <stevenk@ubuntu.com>  Fri,  7 Sep 2007 18:04:03 +1000

devscripts (2.10.7ubuntu1) gutsy; urgency=low

  * Merge from Debian unstable.
  * Remaining Ubuntu changes:
    - requestsync:
      + New script.
      + Don't try and affect packages that won't exist when -n is passed.
    - debchange: add --security option, which acts like --nmu, but adds
      security update template instead of NMU template to changelog.
    - debuild:
      + Add some heuristic checks about the Ubuntu merging policy. Issue a
        warning if a merge does not use -v or describe the remaining Ubuntu
        changes.
      + Keep DISPLAY, XAUTHORITY and GNOME_KEYRING_SOCKET environment
        variables around for safe keeping before we destroy the environment,
        and re-set them before running debsign. (LP: #78165)
    - Modify Maintainer field as per spec.

 -- Steve Kowalik <stevenk@ubuntu.com>  Wed, 15 Aug 2007 00:11:33 +1000

devscripts (2.10.7) unstable; urgency=low

  [ Adam D. Barratt ]
  * debian/control: Add libsoap-lite-perl to the Suggests and
    description for bts
  * README
    + Add libcrypt-ssleay-perl to the description for uscan
    + Add libsoap-lite-perl to the description for bts
    + Mention the SOAP interface in the description for bts
  * debchange: Fix NMU versioning for Debian native packages
  * dd-list: Sort developer names case-insensitively. Thanks to Steinar H.
    Gunderson for the suggestion
  * bts
    + Fix test for libwww-perl not being installed
    + Only pass -c to mail(1) if there are Cc: addresses
      (Closes: #433385)
    + Add support for selecting bug lists via the SOAP interface. This
      requires libsoap-lite-perl. Thanks to Don Armstrong for the patch
      (Closes: #433169)
  * deb-reversion: Apply patch from Adeodato Simó to ensure -v is
    honoured (Closes: #433492)
  * debcommit: When using git, allow either all files or only those in
    the index to be committed. Thanks to Martin F Krafft and Junichi
    Uekawa for the patch. (Closes: #402539, #427429, #433081)
  * uscan
    + Allow a user agent string to be specified (Closes: #433419)
    + Fix https support (Closes: #423669)
    + Correctly set exit status after downloading (Closes: #431840)
  * licensecheck
    + Allow directories to be passed as arguments
    + Allow a pattern to be specified indicating files / directories
      which should be excluded from checking. The default is the same
      as dpkg-source's -i option
    + Allow the set of files to be checked to be specified via a
      regular expression
    + Optionally attempt to find copyright statements

  [ Christoph Berg ]
  * rmadison: Support ubuntu and querying multiple archives, suggested by
    Loïc Minier. (Closes: #431303)
  * dget: Downloading multiple binaries was broken. (Closes: #428827)

  [ Stefano Zacchiroli ]
  * dd-list: list Uploaders per default, added --nouploaders option to
    force the old behaviour

  [ Mohammed Adnène Trojette ]
  * debi: add svn-buildpackage support. Thanks to Raphaël Hertzog for
    the patch. (Closes: #315409, #417609)
  * dch: add --bpo support. (Closes: #434183)
  * debcommit: add debian/changelog to the list of files to commit. Thanks
    Damyan Ivanov for the patch. (Closes: #419657)
  * bts: add file:// to local urls. (Closes: #435011)
  * checkbashims: add a -n/--newline option (disabled by default) to
    also check "echo -n" as Debian Policy 10.4 requires /bin/sh to support
    it. (Closes: #426584)
  * tagpending: add a -t/--to option that adds a -v option to the
    dpkg-parsechangelog call. (Closes: #434145)
  * debian/rules: use [ ! -f Makefile ] || $(MAKE) clean instead of -$(MAKE)
    clean.

 -- Mohammed Adnène Trojette <adn+deb@diwi.org>  Fri, 10 Aug 2007 00:35:06 +0200

devscripts (2.10.6ubuntu1) gutsy; urgency=low

  * Merge from Debian unstable
  * Remaining Ubuntu changes:
    - requestsync:
      + New script.
    - debchange: add --security option, which acts like --nmu, but adds
      security update template instead of NMU template to changelog.
    - debuild:
      + Add some heuristic checks about the Ubuntu merging policy. Issue a
        warning if a merge does not use -v or describe the remaining Ubuntu
        changes.
      + Keep DISPLAY, XAUTHORITY and GNOME_KEYRING_SOCKET environment
        variables around for safe keeping before we destroy the environment,
        and re-set them before running debsign. (LP: #78165)
    - Modify Maintainer field as per spec.
  * Add a manual page for requestsync.

 -- Steve Kowalik <stevenk@ubuntu.com>  Mon,  6 Aug 2007 23:38:54 +1000

devscripts (2.10.6) unstable; urgency=low

  [ Adam D. Barratt ]
  * bts
    + Cc bug reports if the control message contains a comment
      (Closes: #429649)
    + Support passing multiple packages / addresses to "bts cache"
      (Closes: #416548)
    + Add archive / unarchive support
    + Make caching of "status mboxes" work again


=== debian/control ===
Source: devscripts
Section: devel
Priority: optional
Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Devscripts Devel Team <pkg-devscripts@teams.debian.net>
Uploaders: Julian Gilbey <jdg@debian.org>, Filippo Giunchedi <filippo@debian.org>, Joey Hess <joeyh@debian.org>, Mohammed Adnène Trojette <adn+deb@diwi.org>, Christoph Berg <myon@debian.org>, Stefano Zacchiroli <zack@debian.org>, James Vega <jamessan@debian.org>, Martin Zobel-Helas <zobel@debian.org>, Adam D. Barratt <adam@adam-barratt.org.uk>, Luk Claes <luk@debian.org>
Standards-Version: 3.7.2
Build-Depends: perl (>= 5.8), debhelper (>= 5.0.0), libtimedate-perl, libwww-perl,
 xsltproc, docbook-xsl, po4a (>= 0.26), lsb-release
XS-Vcs-Browser: http://svn.debian.org/wsvn/devscripts/trunk/
XS-Vcs-Svn: svn://svn.debian.org/devscripts/trunk

Package: devscripts
Architecture: any
Conflicts: debmake (<< 3.5), dupload (<< 2.1), suidmanager (<< 0.51),
 kdesdk-scripts (<< 4:3.5.6-2)
Depends: dpkg-dev, debianutils (>= 2.0), perl (>= 5.8), sed (>= 2.95),
 ${shlibs:Depends}, ${misc:Depends}
Recommends: fakeroot
Suggests: devscripts-el, at, build-essential, cvs-buildpackage,
 cvs | subversion | svk | tla | bzr | git | mercurial, debian-keyring,
 dupload (>=2.1) | dput, gnupg (>= 1.0.7), gnuplot, libcrypt-ssleay-perl,
 libdigest-md5-perl, libsoap-lite-perl, libtimedate-perl, liburi-perl,
 libwww-perl, lintian | linda, mailx | mailutils, man-db, mutt, patch,
 patchutils, ssh, strace, wdiff, wget, www-browser
Description: Scripts to make the life of a Debian Package maintainer easier
 Contains the following scripts, dependencies/recommendations shown in
 brackets afterwards:
 .
  - annotate-output: run a command and prepend time and stream (O for stdout,
    E for stderr) for every line of output
  - archpath: print tla/Bazaar package names [tla | bazaar]
  - bts: a command-line tool for manipulating the BTS [www-browser,
    libsoap-lite-perl, libwww-perl, mailx | mailutils]
  - checkbashisms: check whether a /bin/sh script contains any common
    bash-specific contructs
  - cvs-debi, cvs-debc: to call debi and debc from the CVS working directory
    after running cvs-debuild or cvs-buildpackage [cvs-buildpackage]
  - cvs-debrelease: to call debrelease from the CVS working directory
    after running cvs-debuild or cvs-buildpackage [cvs-buildpackage,
    dupload | dput, ssh]
  - cvs-debuild: run cvs-buildpackage using debuild (see below) as the
    package building program [cvs-buildpackage, fakeroot, lintian | linda,
    gnupg]
  - dd-list: given a list of packages, pretty-print it ordered by maintainer
  - debc: display the contents of just-built .debs
  - debchange/dch: automagically add entries to debian/changelog files [wget,
    liburi-perl]
  - debclean: purge a Debian source tree [fakeroot]
  - debcommit: commit changes to cvs, svn, svk, tla, bzr, git, or hg, basing
    commit message on changelog
    [cvs | subversion | svk | tla | bzr | git | mercurial]
  - debdiff: compare two versions of a Debian package to check for
    added and removed files [wdiff, patchutils]
  - debi: install a just-built package
  - debpkg: dpkg wrapper to be able to manage/test packages without su
  - debrelease: wrapper around dupload or dput [dupload | dput, ssh]
  - debsign, debrsign: sign a .changes/.dsc pair without needing any of
    the rest of the package to be present; can sign the pair remotely
    or fetch the pair from a remote machine for signing [gnupg,
    debian-keyring, ssh]
  - debuild: wrapper to build a package without having to su or worry
    about how to invoke dpkg to build using fakeroot.  Also deals
    with common environment problems, umask etc. [fakeroot,
    lintian | linda, gnupg]
  - deb-reversion: increases a binary package version number and repacks the
    archive
  - dget: downloads Debian source and binary packages [wget]
  - dpkg-depcheck, dpkg-genbuilddeps: determine the packages used during
    the build of a Debian package; useful for determining the Build-Depends
    control field needed [build-essential, strace]
  - dscverify: verify the integrity of a Debian package from the
    .changes or .dsc files [gnupg, debian-keyring, libdigest-md5-perl]
  - grep-excuses: grep the update_excuses.html file for your packages [wget]
  - licensecheck: attempt to determine the license of source files
  - manpage-alert: locate binaries without corresponding manpages [man-db]
  - mass-bug: mass-file bug reports [mailx | mailutils]
  - mergechanges: merge .changes files from a package built on different
    architectures
  - nmudiff: mail a diff of the current package against the previous version
    to the BTS to assist in tracking NMUs [patchutils, mutt]
  - plotchangelog: view a nice plot of the data in a changelog file
    [libtimedate-perl, gnuplot]
  - pts-subscribe: subscribe to the PTS for a limited period of time
    [mailx | mailutils, at]
  - rc-alert: list installed packages which have release-critical bugs [wget]
  - rmadison: remotely query the Debian archive database about packages [wget,
    liburi-perl]
  - svnpath: print svn repository paths [subversion]
  - tagpending: shell script which runs from a Debian source tree and tags
    bugs that are to be closed in the latest changelog as pending.
    [wget, liburi-perl]
  - uscan: scan upstream sites for new releases of packages
    [libcrypt-ssleay-perl, libwww-perl]
  - uupdate: integrate upstream changes into a source package [patch]
  - whodepends: check which maintainers' packages depend on a package
  - who-uploads [gnupg, debian-keyring, wget]: determine the most recent
    uploaders of a package to the Debian archive
  - wnpp-alert: list installed packages which are orphaned or up for
    adoption [wget]
 .
 Also included are a set of example mail filters for filtering mail
 from Debian mailing lists using exim, procmail, etc.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for devscripts, based on the example file rules.indep.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
optimize := -O0
else
optimize := -O2
endif

# Here we perform some checks to ensure that we haven't goofed or left
# debugging code around or ... before we build the package
test: test-stamp
test-stamp:
	# debugging info in bts?
	if grep -q '\$$debug *= *1' scripts/bts.pl; then exit 1; else exit 0; fi
	cd test && $(MAKE)
	touch test-stamp

build-indep: build-stamp-indep
build-stamp-indep: test-stamp
	dh_testdir
	touch build-stamp-indep

build-arch: build-stamp-arch
build-stamp-arch: test-stamp
	dh_testdir
	$(MAKE) CFLAGS='-g $(optimize) -Wall'
	touch build-stamp-arch

build: build-arch build-indep

clean:
	dh_testdir
	dh_testroot
	[ ! -f Makefile ] || $(MAKE) clean
	rm -f build-stamp* test-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	dh_install
	$(MAKE) DESTDIR=$(CURDIR)/debian/devscripts install

# Build architecture-independent files here.
binary-indep: build-indep
# We have nothing to do

# Build architecture-dependent files here.
binary-arch: build-arch install
	dh_testdir
	dh_testroot
	dh_installdocs README
	dh_installexamples
	dh_installman
	dh_link
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

.PHONY: build-arch build-indep build clean binary-indep binary-arch binary \
	install

# Local variables:
# mode: makefile
# End:

## devscripts 2.10.11ubuntu5

=== test/Makefile ===
# Simplified Makefile for devscripts tests

all:
	chmod +x debchange.pl ../scripts/debchange.pl
	./debchange.pl

=== debian/changelog ===
devscripts (2.10.11ubuntu5) hardy; urgency=low

  * Backport from 2.10.25
    - debsign: Update to 2.10.25 version for correct Checksums-* updating
      needed for compatibility with dak in Debian - update man page too
    - debsign: Include previous Ubuntu difference to provide 
      $DEBSIGN_ALWAYS_RESIGN support

 -- Scott Kitterman <scott@kitterman.com>  Wed, 16 Apr 2008 09:47:57 -0400

devscripts (2.10.11ubuntu4) hardy; urgency=low

  * Backport from trunk:
    - debcheckout: Add auth support for *.launchpad.net.
  * debchange: Recognise 'intrepid' as a valid Ubuntu release name
    (LP: #193701).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 21 Feb 2008 11:33:18 +0000

devscripts (2.10.11ubuntu3) hardy; urgency=low

  [ Terence Simpson ]
  * scripts/debchange.pl:
    Allow -i increment ~ppa revisions (LP: #180748)

  [ Sarah Hobbs ]
  * Added recommends: debhelper as most packages use the dh_* scripts
    in debian/rules (LP: #178749)

 -- Sarah Hobbs <hobbsee@ubuntu.com>  Sun, 06 Jan 2008 21:46:38 +1100

devscripts (2.10.11ubuntu2) hardy; urgency=low

  * scripts/debdiff.pl:
    Make diff output p1-compatible, when interdiff is not used
    (either for native packages or if not available) (LP: #136863)

 -- dAniel hAhler <ubuntu@thequod.de>  Thu, 13 Dec 2007 19:20:43 +0100

devscripts (2.10.11ubuntu1) hardy; urgency=low

  * Merge from debian unstable, remaining changes:
    - Change the default URL parameter of rmadison to be ubuntu
    - debian/control:
      + DebianMaintainerField foo.
      + Build-depend on lsb-release.
    - debian/rules:
      + Actually run tests in test-stamp target.
   - scripts/debchange.1:
      + Add info about --security option.
    - scripts/debchange.pl:
      + Add --security option, which acts like --nmu, but adds security update
        template instead of NMU template to changelog.
      + Add -U/--upstream flag that forces original "just increment
        the end" behaviour; Ubuntu is upstream for some pieces of software.
      + Add --distributor= to override lsb_release output.
      + Default to "hardy" as distribution.
      + Add "ubuntu1" to version string for new versions.
    - scripts/debuild.pl:
      + Preserve DEBEMAIL environment variable inside debuild.
      + Enforce Ubuntu merge policy.
    - test/debchange.pl:
      + Test for debchange.pl
    - Added wget | curl to Depends
    - Update "rmadison --help" output to show that Ubuntu is the default
  * drop build dep on libfile-desktopentry-perl and dont install desktop2menu
    for now, we dont use the debian menu system and libfile-desktopentry-perl
    is not in main

 -- Oliver Grawert <ogra@ubuntu.com>  Fri, 30 Nov 2007 15:35:51 +0000

devscripts (2.10.11) unstable; urgency=low

  [ Adam D. Barratt ]
  * uscan: Correctly parse HTMLised FTP directory listings. Thanks to
    Vaclav Ovsik for the patch (Closes: #448636)
  * desktop2menu: New script to generate skeleton menu files from
    freedesktop.org .desktop files. Thanks to Sune Vuorela (Closes: #448730)
  * debchange: Default to using -t / --mainttrailer when using the "changelog"
    heuristic. Thanks to Joey Hess for the patch (Closes: #448795)
  * debcommit: Automatically include the changelog in the list of files to be
    committed (Closes: #419657, again)
  * debcommit: Correctly pull the depot path from the output of svk info

  [ Luk Claes ]
  * debdiff: Support tarball in tarball (Closes: #439667).
  * debdiff: Support p-u-new use case (Closes: #439666).
  * chdist: New script to easily play with several distributions.
    Closes: #438971
  * debian/control: Add build dependency on libfile-desktopentry-perl and
    liburi-perl so perl -c won't fail for desktop2menu and rmadison.

  [ Joey Hess ]
  * debcommit: Avoid svk hang by only running svk if ~/.svk/local exists.
    Closes: #420899
  * debcommit: Try harder to see if the package is in git. Look for
    .git in parent directories too.

 -- Luk Claes <luk@debian.org>  Wed, 14 Nov 2007 22:53:22 +0100

devscripts (2.10.10ubuntu3) hardy; urgency=low

  * Added wget | curl to Depends (Closes LP: #165207)

 -- Nicolas Valcárcel Scerpella (aka nxvl) <nvalcarcel@gmail.com>  Mon, 26 Nov 2007 12:25:09 -0500

devscripts (2.10.10ubuntu2) hardy; urgency=low

  * Update "rmadison --help" output to show that Ubuntu is the default,
    and also provide a hint about shorthands.

 -- Soren Hansen <soren@ubuntu.com>  Wed, 21 Nov 2007 18:37:45 +0100

devscripts (2.10.10ubuntu1) hardy; urgency=low

  * Merge from Debian unstable.
  * Remaining Ubuntu changes:
    - debian/control:
      + DebianMaintainerField foo.
      + Build-depend on lsb-release.
    - debian/rules:
      + Actually run tests in test-stamp target.
    - scripts/debchange.1:
      + Add info about --security option.
    - scripts/debchange.pl:
      + Add --security option, which acts like --nmu, but adds security update
        template instead of NMU template to changelog.
      + Add -U/--upstream flag that forces original "just increment
        the end" behaviour; Ubuntu is upstream for some pieces of software.
      + Add --distributor= to override lsb_release output.
      + Default to "hardy" as distribution.
      + Add "ubuntu1" to version string for new versions.
    - scripts/debuild.pl:
      + Preserve DEBEMAIL environment variable inside debuild.
      + Enforce Ubuntu merge policy.
    - test/debchange.pl:
      + Test for debchange.pl
  * Change the default URL parameter of rmadison to be ubuntu. The old
    behaviour can be used by 'rmadison -u debian'.

 -- Steve Kowalik <stevenk@ubuntu.com>  Sun, 11 Nov 2007 08:14:51 +1100

devscripts (2.10.10) unstable; urgency=low

  [ Adam D. Barratt ]
  * licensecheck
    + Better detect 3-clause BSD licenses (Closes: #442630)
    + Detect ISC style licenses. Thanks to Patrick Schoenfeld for the
      patch (Closes: #448000)
    + Always check a single file argument even if it doesn't match
      the file pattern regex


=== debian/rules ===
--- 
+++ 
@@ -45,6 +45,7 @@
 	dh_clean -k
 	dh_installdirs
 	dh_install
+	rm $(CURDIR)/scripts/desktop2menu.pl
 	$(MAKE) DESTDIR=$(CURDIR)/debian/devscripts install
 
 # Build architecture-independent files here.

## devscripts 2.10.11ubuntu5.8.04.1

=== po4a/Makefile ===
all:
	po4a --no-backups devscripts-po4a.conf
clean:
	po4a --rm-translations --no-backups devscripts-po4a.conf

=== debian/changelog ===
devscripts (2.10.11ubuntu5.8.04.1) hardy-proposed; urgency=low

  * SRU to fix LP: #205388 - "Dch won't allow non-Ubuntu distros for -D
    option"; backport cherry-pick from debian svn r964.
    - update scripts/debchange.pl
    - update scripts/debchange.1

 -- Alexander Sack <asac@ubuntu.com>  Wed, 07 May 2008 10:50:24 +0200

=== debian/control ===
--- 
+++ 
@@ -5,24 +5,22 @@
 XSBC-Original-Maintainer: Devscripts Devel Team <pkg-devscripts@teams.debian.net>
 Uploaders: Julian Gilbey <jdg@debian.org>, Filippo Giunchedi <filippo@debian.org>, Joey Hess <joeyh@debian.org>, Mohammed Adnène Trojette <adn+deb@diwi.org>, Christoph Berg <myon@debian.org>, Stefano Zacchiroli <zack@debian.org>, James Vega <jamessan@debian.org>, Martin Zobel-Helas <zobel@debian.org>, Adam D. Barratt <adam@adam-barratt.org.uk>, Luk Claes <luk@debian.org>
 Standards-Version: 3.7.2
-Build-Depends: perl (>= 5.8), debhelper (>= 5.0.0), libtimedate-perl, libwww-perl,
- xsltproc, docbook-xsl, po4a (>= 0.26), lsb-release
-XS-Vcs-Browser: http://svn.debian.org/wsvn/devscripts/trunk/
-XS-Vcs-Svn: svn://svn.debian.org/devscripts/trunk
+Build-Depends: perl (>= 5.8), debhelper (>= 5.0.0), libtimedate-perl, libwww-perl, xsltproc, docbook-xsl, po4a (>= 0.26), liburi-perl, lsb-release
+XS-Original-Vcs-Browser: http://svn.debian.org/wsvn/devscripts/trunk/
+XS-Original-Vcs-Svn: svn://svn.debian.org/devscripts/trunk
 
 Package: devscripts
 Architecture: any
-Conflicts: debmake (<< 3.5), dupload (<< 2.1), suidmanager (<< 0.51),
- kdesdk-scripts (<< 4:3.5.6-2)
-Depends: dpkg-dev, debianutils (>= 2.0), perl (>= 5.8), sed (>= 2.95),
- ${shlibs:Depends}, ${misc:Depends}
-Recommends: fakeroot
+Conflicts: debmake (<< 3.5), dupload (<< 2.1), suidmanager (<< 0.51), kdesdk-scripts (<< 4:3.5.6-2)
+Depends: dpkg-dev, debianutils (>= 2.0), perl (>= 5.8), sed (>= 2.95), ${shlibs:Depends}, wget | curl, ${misc:Depends}
+Recommends: fakeroot, debhelper
 Suggests: devscripts-el, at, build-essential, cvs-buildpackage,
- cvs | subversion | svk | tla | bzr | git | mercurial, debian-keyring,
- dupload (>=2.1) | dput, gnupg (>= 1.0.7), gnuplot, libcrypt-ssleay-perl,
- libdigest-md5-perl, libsoap-lite-perl, libtimedate-perl, liburi-perl,
- libwww-perl, lintian | linda, mailx | mailutils, man-db, mutt, patch,
- patchutils, ssh, strace, wdiff, wget, www-browser
+ cvs | subversion | svk | tla | bzr | git-core | mercurial, dctrl-tools,
+ debian-keyring, dupload (>=2.1) | dput, gnupg (>= 1.0.7), gnuplot, 
+ libcrypt-ssleay-perl, libdigest-md5-perl, libfile-desktopentry-perl, 
+ libsoap-lite-perl, libtimedate-perl, liburi-perl, libwww-perl, 
+ lintian | linda, mailx | mailutils, man-db, mutt, patch, patchutils, ssh, 
+ strace, wdiff, wget, www-browser
 Description: Scripts to make the life of a Debian Package maintainer easier
  Contains the following scripts, dependencies/recommendations shown in
  brackets afterwards:
@@ -32,6 +30,7 @@
   - archpath: print tla/Bazaar package names [tla | bazaar]
   - bts: a command-line tool for manipulating the BTS [www-browser,
     libsoap-lite-perl, libwww-perl, mailx | mailutils]
+  - chdist: tool to easily play with several distributions [dctrl-tools]
   - checkbashisms: check whether a /bin/sh script contains any common
     bash-specific contructs
   - cvs-debi, cvs-debc: to call debi and debc from the CVS working directory
@@ -46,10 +45,11 @@
   - debc: display the contents of just-built .debs
   - debchange/dch: automagically add entries to debian/changelog files [wget,
     liburi-perl]
+  - debcheckout: checkout the development repository of a debian package
   - debclean: purge a Debian source tree [fakeroot]
   - debcommit: commit changes to cvs, svn, svk, tla, bzr, git, or hg, basing
     commit message on changelog
-    [cvs | subversion | svk | tla | bzr | git | mercurial]
+    [cvs | subversion | svk | tla | bzr | git-core | mercurial]
   - debdiff: compare two versions of a Debian package to check for
     added and removed files [wdiff, patchutils]
   - debi: install a just-built package
@@ -65,6 +65,8 @@
     lintian | linda, gnupg]
   - deb-reversion: increases a binary package version number and repacks the
     archive
+  - desktop2menu: produce a skeleton menu file from a freedesktop.org
+    desktop file [libfile-desktopentry-perl]
   - dget: downloads Debian source and binary packages [wget]
   - dpkg-depcheck, dpkg-genbuilddeps: determine the packages used during
     the build of a Debian package; useful for determining the Build-Depends
@@ -73,6 +75,7 @@
     .changes or .dsc files [gnupg, debian-keyring, libdigest-md5-perl]
   - grep-excuses: grep the update_excuses.html file for your packages [wget]
   - licensecheck: attempt to determine the license of source files
+  - list-unreleased: searches for unreleased packages
   - manpage-alert: locate binaries without corresponding manpages [man-db]
   - mass-bug: mass-file bug reports [mailx | mailutils]
   - mergechanges: merge .changes files from a package built on different

## devscripts 2.10.11ubuntu5.8.04.2

=== Makefile ===
# Simplified Makefile for devscripts

include Makefile.common

DESTDIR =

PERL_MODULES = Devscripts
EXAMPLES = conf.default
MANS_fr_DIR = po4a/fr
GEN_MAN1S_fr = $(patsubst %,$(MANS_fr_DIR)/%,$(GEN_MAN1S))
MAN1S_fr = $(subst $(MANS_fr_DIR)/,,$(wildcard $(MANS_fr_DIR)/*.1))

all: version scripts $(EXAMPLES) translated_manpages

version:
	rm -f version
	dpkg-parsechangelog | perl -ne '/^Version: (.*)/ && print $$1' \
	    > version

conf.default: conf.default.in version
	rm -f $@ $@.tmp
	VERSION=`cat version` && sed -e "s/###VERSION###/$$VERSION/" $< \
	    > $@.tmp && mv $@.tmp $@

translated_manpages:
	$(MAKE) -C po4a/
	# These may or may not have been successfully made; we don't stop
	# building the rest of the package in such a case
	for i in $(GEN_MAN1S_fr); do \
	    $(MAKE) $$i || true; \
	done
	touch translated_manpages

clean_translated_manpages:
	# Update the POT/POs and remove the translated man pages
	$(MAKE) -C po4a/ clean
	rm -f translated_manpages

clean: clean_scripts clean_translated_manpages
	rm -f version conf.default $(GEN_MAN1S_fr)

install: all install_scripts
	cp -a $(PERL_MODULES) $(DESTDIR)$(PERLMOD_DIR)
	cp $(EXAMPLES) $(DESTDIR)$(EXAMPLES_DIR)

scripts:
	$(MAKE) -C scripts/
clean_scripts:
	$(MAKE) -C scripts/ clean
install_scripts:
	$(MAKE) -C scripts/ install DESTDIR=$(DESTDIR)

=== scripts/Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 SCRIPTS = $(patsubst %.pl,%,$(PL_FILES)) $(patsubst %.sh,%,$(SH_FILES))
 
 GEN_MAN1S = bts.1 debcommit.1 deb-reversion.1 dget.1 licensecheck.1 \
-	mass-bug.1 rmadison.1 svnpath.1
+	mass-bug.1 rmadison.1 svnpath.1 debcheckout.1
 
 BINDIR = /usr/bin
 LIBDIR = /usr/lib/devscripts

=== debian/changelog ===
devscripts (2.10.11ubuntu5.8.04.2) hardy-proposed; urgency=low

  * dscverify: Add Ubuntu keyrings (LP: #228296).

 -- TJ <ubuntu@tjworld.net>  Sun, 28 Sep 2008 23:00:00 +0200

## devscripts 2.10.11ubuntu5.8.04.5

=== debian/changelog ===
devscripts (2.10.11ubuntu5.8.04.5) hardy-security; urgency=low

  * SECURITY UPDATE: Arbitrary code execution via crafted filenames in .dsc
    and .changes files
    - scripts/debdiff.pl: Perform input sanitization on filenames. Thanks to
      Raphael Geissert for the original patch.
    - CVE-2012-0210
  * SECURITY UPDATE: Arbitrary code execution via crafted filenames in the top
    level directory of the original upstream source tarball
    - scripts/debdiff.pl: Perform input sanitization on filenames. Thanks to
      Adam D. Barratt for the original patch.
    - CVE-2012-0211
  * SECURITY UPDATE: Arbritray code execution via crafted filenames in
    arguments passed to debdiff
    - scripts/debdiff.pl: Perform input sanitization on filenames. Based on
      upstream patches.
    - http://anonscm.debian.org/gitweb/?p=devscripts/devscripts.git;a=commitdiff;h=87f88232eb643f0c118c6ba38db8e966915b450f
    - http://anonscm.debian.org/gitweb/?p=devscripts/devscripts.git;a=commitdiff;h=76227af1ee8d68f4844f642325eac903ca21e739
    - CVE-2012-0212
  * scripts/debdiff.pl: Remove undocumented functionality which treated
    files with extentionless filenames as packages. Thanks to Adam D. Barratt
    for the original patch.
    - http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=659559

 -- Tyler Hicks <tyhicks@canonical.com>  Wed, 15 Feb 2012 03:33:36 -0600

devscripts (2.10.11ubuntu5.8.04.4) hardy-security; urgency=low

  * SECURITY UPDATE: fix handling of mangle rules in watch files to
    not execute them as Perl code
    - patch adapted from r1984, r1992 and r2006 of Debian svn
    - CVE-2009-2946

 -- Jamie Strandboge <jamie@ubuntu.com>  Wed, 07 Oct 2009 17:20:56 -0500

devscripts (2.10.11ubuntu5.8.04.3) hardy-proposed; urgency=low

  [ Marian Sigler ]
  * Update rmadison's Ubuntu URL to cope with people.ubuntu.com ->
    people.canonical.com; invoke curl in such a way as to follow redirects
    by default (LP: #399891).

 -- Onkar Shinde <onkarshinde@ubuntu.com>  Thu, 16 Jul 2009 13:59:23 +0530

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: devscripts
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Devscripts Devel Team <pkg-devscripts@teams.debian.net>
 Uploaders: Julian Gilbey <jdg@debian.org>, Filippo Giunchedi <filippo@debian.org>, Joey Hess <joeyh@debian.org>, Mohammed Adnène Trojette <adn+deb@diwi.org>, Christoph Berg <myon@debian.org>, Stefano Zacchiroli <zack@debian.org>, James Vega <jamessan@debian.org>, Martin Zobel-Helas <zobel@debian.org>, Adam D. Barratt <adam@adam-barratt.org.uk>, Luk Claes <luk@debian.org>
 Standards-Version: 3.7.2

## devscripts 2.10.26ubuntu15

=== scripts/Makefile ===
--- 
+++ 
@@ -10,15 +10,18 @@
 LIBS = libvfork.so.0
 CWRAPPERS = debpkg-wrapper
 SCRIPTS = $(patsubst %.pl,%,$(PL_FILES)) $(patsubst %.sh,%,$(SH_FILES))
+COMPL_FILES := $(wildcard *.bash_completion)
+COMPLETION = $(patsubst %.bash_completion,devscripts.%,$(COMPL_FILES))
 
-GEN_MAN1S = bts.1 debcommit.1 deb-reversion.1 dget.1 licensecheck.1 \
-	mass-bug.1 rmadison.1 svnpath.1 debcheckout.1
+GEN_MAN1S = bts.1 chdist.1 debcheckout.1 debcommit.1 deb-reversion.1 \
+	    dget.1 licensecheck.1 mass-bug.1 rmadison.1 \
+	    svnpath.1 tagpending.1 build-rdeps.1 mk-build-deps.1
 
 BINDIR = /usr/bin
 LIBDIR = /usr/lib/devscripts
 BIN_LIBDIR = /usr/lib/devscripts
 
-all: $(SCRIPTS) $(GEN_MAN1S) $(LIBS) $(CWRAPPERS)
+all: $(SCRIPTS) $(GEN_MAN1S) $(LIBS) $(CWRAPPERS) $(COMPLETION)
 
 %: %.sh
 
@@ -38,6 +41,9 @@
 	xsltproc --nonet -o $@ \
 	  /usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl $<
 
+devscripts.%: %.bash_completion
+	cp $< $@
+
 libvfork.o: libvfork.c
 	$(CC) -fPIC -D_REENTRANT $(CFLAGS) -c $<
 libvfork.so.0: libvfork.o
@@ -46,11 +52,12 @@
 clean:
 	rm -f $(SCRIPTS) $(patsubst %,%.tmp,$(SCRIPTS)) \
 		$(GEN_MAN1S) $(SCRIPT_LIBS) $(CWRAPPERS) \
-		libvfork.o libvfork.so.0
+		libvfork.o libvfork.so.0 $(COMPLETION)
 
 install: all
 	cp $(SCRIPTS) $(DESTDIR)$(BINDIR)
 	cp $(LIBS) $(DESTDIR)$(LIBDIR)
+	cp $(COMPLETION) $(DESTDIR)/etc/bash_completion.d
 	# Special treatment for debpkg
 	mv $(DESTDIR)$(BINDIR)/debpkg $(DESTDIR)$(PERLMOD_DIR)
 	cp debpkg-wrapper $(DESTDIR)$(BINDIR)/debpkg

## devscripts 2.10.26ubuntu15.2

=== debian/control ===
Source: devscripts
Section: devel
Priority: optional
Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Devscripts Devel Team <pkg-devscripts@teams.debian.net>
Uploaders: Julian Gilbey <jdg@debian.org>, Joey Hess <joeyh@debian.org>, Mohammed Adnène Trojette <adn+deb@diwi.org>, Christoph Berg <myon@debian.org>, Stefano Zacchiroli <zack@debian.org>, James Vega <jamessan@debian.org>, Martin Zobel-Helas <zobel@debian.org>, Adam D. Barratt <adam@adam-barratt.org.uk>, Luk Claes <luk@debian.org>, Patrick Schoenfeld <schoenfeld@in-medias-res.com>
Standards-Version: 3.7.3
Build-Depends: perl (>= 5.8), debhelper (>= 6.0.0), docbook-xsl, libtimedate-perl,
 libterm-size-perl,  liburi-perl, libwww-perl, po4a (>= 0.26), xsltproc, lsb-release
XS-Original-Vcs-Browser: http://svn.debian.org/wsvn/devscripts/trunk/
XS-Original-Vcs-Svn: svn://svn.debian.org/devscripts/trunk
XS-Dm-Upload-Allowed: yes

Package: devscripts
Architecture: any
Conflicts: debmake (<< 3.5), dupload (<< 2.1), suidmanager (<< 0.51),
 kdesdk-scripts (<< 4:3.5.6-2)
Depends: dpkg-dev, debianutils (>= 2.0), perl (>= 5.8), sed (>= 2.95),
 ${shlibs:Depends}, ${misc:Depends}
Recommends: at, build-essential, curl | wget,
 subversion | cvs | svk | tla | bzr | git-core | mercurial, dctrl-tools,
 dupload (>=2.1) | dput, 
 fakeroot, gnupg (>= 1.0.7), libauthen-sasl-perl, 
 libdigest-md5-perl, libfile-desktopentry-perl, libparse-debcontrol-perl,
 libterm-size-perl, libtimedate-perl, liburi-perl,
 libwww-perl, lintian, lsb-release, mailx | mailutils, man-db, patch,
 patchutils, ssh-client, strace, unzip, wdiff, www-browser
Suggests: cvs-buildpackage, devscripts-el, gnuplot, mutt, svn-buildpackage,
 debian-maintainers, debian-keyring, equivs, ubuntu-dev-tools, libcrypt-ssleay-perl, libsoap-lite-perl
Description: scripts to make the life of a Debian Package maintainer easier
 Contains the following scripts, dependencies/recommendations shown in
 brackets afterwards:
 .
  - annotate-output: run a command and prepend time and stream (O for stdout,
    E for stderr) for every line of output
  - archpath: print tla/Bazaar package names [tla | bazaar]
  - bts: a command-line tool for manipulating the BTS [www-browser,
    libauthen-sasl-perl, libsoap-lite-perl, libwww-perl, mailx | mailutils]
  - build-rdeps: Searches for all packages that build-depend on a
    given package [dctrl-tools]
  - chdist: tool to easily play with several distributions [dctrl-tools]
  - checkbashisms: check whether a /bin/sh script contains any common
    bash-specific contructs
  - cvs-debi, cvs-debc: to call debi and debc from the CVS working directory
    after running cvs-debuild or cvs-buildpackage [cvs-buildpackage]
  - cvs-debrelease: to call debrelease from the CVS working directory
    after running cvs-debuild or cvs-buildpackage [cvs-buildpackage,
    dupload | dput, ssh-client]
  - cvs-debuild: run cvs-buildpackage using debuild (see below) as the
    package building program [cvs-buildpackage, fakeroot, lintian, gnupg]
  - dcmd: run a given command replacing the name of a .changes or .dsc file
    with each of the files referenced therein 
  - dd-list: given a list of packages, pretty-print it ordered by maintainer
  - debc: display the contents of just-built .debs
  - debchange/dch: automagically add entries to debian/changelog files
    [libparse-debcontrol-perl, libsoap-lite-perl, lsb-release]
  - debcheckout: checkout the development repository of a Debian package
  - debclean: purge a Debian source tree [fakeroot]
  - debcommit: commit changes to cvs, svn, svk, tla, bzr, git, or hg, basing
    commit message on changelog
    [cvs | subversion | svk | tla | bzr | git-core | mercurial]
  - debdiff: compare two versions of a Debian package to check for
    added and removed files [wdiff, patchutils]
  - debi: install a just-built package
  - debpkg: dpkg wrapper to be able to manage/test packages without su
  - debrelease: wrapper around dupload or dput [dupload | dput, ssh-client]
  - debsign, debrsign: sign a .changes/.dsc pair without needing any of
    the rest of the package to be present; can sign the pair remotely
    or fetch the pair from a remote machine for signing [gnupg,
    debian-keyring, ssh-client]
  - debuild: wrapper to build a package without having to su or worry
    about how to invoke dpkg to build using fakeroot.  Also deals
    with common environment problems, umask etc. [fakeroot,
    lintian, gnupg]
  - deb-reversion: increases a binary package version number and repacks the
    archive
  - desktop2menu: produce a skeleton menu file from a freedesktop.org
    desktop file [libfile-desktopentry-perl]
  - dget: downloads Debian source and binary packages [wget | curl]
  - dpkg-depcheck, dpkg-genbuilddeps: determine the packages used during
    the build of a Debian package; useful for determining the Build-Depends
    control field needed [build-essential, strace]
  - diff2patches: extract patches from a .diff.gz file placing them  under
    debian/ or, if present, debian/patches [patchutils]
  - dscverify: verify the integrity of a Debian package from the
    .changes or .dsc files [gnupg, debian-keyring, libdigest-md5-perl]
  - grep-excuses: grep the update_excuses.html file for your packages
    [libterm-size-perl, wget]
  - licensecheck: attempt to determine the license of source files
  - list-unreleased: searches for unreleased packages
  - manpage-alert: locate binaries without corresponding manpages [man-db]
  - mass-bug: mass-file bug reports [mailx | mailutils]
  - mergechanges: merge .changes files from a package built on different
    architectures
  - mk-build-deps: Given a package name and/or control file, generate a binary
    package which may be installed to satisfy the build-dependencies of the
    given packages. [equivs]
  - nmudiff: mail a diff of the current package against the previous version
    to the BTS to assist in tracking NMUs [patchutils, mutt]
  - plotchangelog: view a nice plot of the data in a changelog file
    [libtimedate-perl, gnuplot]
  - pts-subscribe: subscribe to the PTS for a limited period of time
    [mailx | mailutils, at]
  - rc-alert: list installed packages which have release-critical bugs [wget]
  - rmadison: remotely query the Debian archive database about packages
    [wget | curl, liburi-perl]
  - svnpath: print svn repository paths [subversion]
  - tagpending: runs from a Debian source tree and tags bugs that are to 
    be closed in the latest changelog as pending. [libsoap-lite-perl]
  - uscan: scan upstream sites for new releases of packages
    [libcrypt-ssleay-perl, libwww-perl, unzip]
  - uupdate: integrate upstream changes into a source package [patch]
  - whodepends: check which maintainers' packages depend on a package
  - who-uploads: determine the most recent uploaders of a package to the Debian
    archive [gnupg, debian-keyring, debian-maintainers, wget]
  - wnpp-alert: list installed packages which are orphaned or up for
    adoption [wget]
 .
 Also included are a set of example mail filters for filtering mail
 from Debian mailing lists using exim, procmail, etc.

=== debian/rules ===
--- 
+++ 
@@ -45,7 +45,7 @@
 	dh_clean -k
 	dh_installdirs
 	dh_install
-	rm $(CURDIR)/scripts/desktop2menu.pl
+	chmod +x debian/devscripts/usr/share/bug/devscripts/script
 	$(MAKE) DESTDIR=$(CURDIR)/debian/devscripts install
 
 # Build architecture-independent files here.
